Summary

The NBS Plug-in for Autodesk Revit v2.5 (released in December 2015) and newer are compatible with Autodesk Revit 2015, 2016 (update R2) and 2017.

Download the latest version of the NBS Plug-in

If you have an older version of Autodesk Revit 2016 installed, you must install the update R2 or newer to use the NBS features.

If you install the NBS plug-in into an earlier version of Autodesk Revit 2016, the NBS toolbar will be greyed out:

Plugin KB10212

More information

There was a software issue with the API in Autodesk Revit 2016 used by NBS - this was fixed in Revit 2016 R2.

You must have Autodesk 2016 R2 or newer installed to use the functionality of the NBS Plug-in for Autodesk Revit.

Please note: this 'R2' update is different to 'Service Pack 2'. The R2 update can be acquired by contacting Autodesk.

To check the current version in your Autodesk Revit 2016, click on the drop down arrow located on the top right next to the '?' and select 'About Autodesk Revit 2016' - the window will have a a small 'R2' below the main version number as shown below:

KB20212 1